org.apache.ignite.internal.processors.cache.distributed.near

## Class AckCoordinatorOnRollback

- java.lang.Object
- - org.apache.ignite.internal.util.lang.IgniteInClosureX<T>
  - - org.apache.ignite.internal.util.typedef.CIX1<IgniteInternalFuture<IgniteInternalTx>>
    - - org.apache.ignite.internal.processors.cache.distributed.near.AckCoordinatorOnRollback

All Implemented Interfaces:
  Serializable, IgniteInClosure<IgniteInternalFuture<IgniteInternalTx>>

    public class AckCoordinatorOnRollback
    extends CIX1<IgniteInternalFuture<IgniteInternalTx>>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AckCoordinatorOnRollback(GridNearTxLocal tx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyx(IgniteInternalFuture<IgniteInternalTx> fut)` In-closure body that can throw `IgniteCheckedException`.

### Methods inherited from class org.apache.ignite.internal.util.lang.IgniteInClosureX

`apply`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AckCoordinatorOnRollback

    public AckCoordinatorOnRollback(GridNearTxLocal tx)

Parameters:
  `tx` - Transaction.

### Method Detail

#### applyx

    public void applyx(IgniteInternalFuture<IgniteInternalTx> fut)
                throws IgniteCheckedException

In-closure body that can throw `IgniteCheckedException`.

Specified by:
  `applyx` in class `IgniteInClosureX<IgniteInternalFuture<IgniteInternalTx>>`
Parameters:
  `fut` - The variable the closure is called or closed on.
Throws:
  `IgniteCheckedException` - Thrown in case of any error condition inside of the closure.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019